<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" 
"mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.iot.base.system.user.dao.ibatis.UserDaoImpl">
    
	<!-- 获取列表 -->
	<select id="getAuthListById" parameterType="paramDto" resultType="Long">
		select resourceId
		  from mortals_iot_role_auth as a
		  left join mortals_iot_role_user as b
		 on a.roleId=b.roleId
		 where b.userId=#{condition.id}
	</select>
</mapper>